package com.example.readrandomraw_kotlin

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import java.nio.charset.Charset
import java.util.*

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val btnShow = findViewById<Button>(R.id.btnShow)
        val tvSonnet = findViewById<TextView>(R.id.txtSonnet)
        val rand = Random()
        /*
            use one random number generator over and over (from click to click)
            rather than instantiating a new random number generator with each click
        */
        val min = 15
        val max = 18

        btnShow.setOnClickListener{
            var sonnet_num = rand.nextInt(max - min + 1) + min
            // use randon number generator to obtain a pseudo-random number between min and max (inclusive)
            val myID = "sonnet_$sonnet_num"
            val resID = resources.getIdentifier(myID, "raw", packageName)

            // http://zetcode.com/kotlin/readfile/
            val input_stream = baseContext.resources.openRawResource(resID)
            var sonnet_text = input_stream.readBytes().toString(Charset.defaultCharset())
            tvSonnet.text = sonnet_text
        } //end setOnClickListener

    } //end onCreate
} //end MainActivity class
